Bug 109563 - ports net/isc-dhcp3-server dhcp-3.0.5-ldap-patch needs to be updated
Summary: ports net/isc-dhcp3-server dhcp-3.0.5-ldap-patch needs to be updated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-26 13:20 UTC by roudoudou
Modified: 2007-02-26 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description roudoudou 2007-02-26 13:20:07 UTC
hi,
I think that there is several minor issue with the current port of isc-dhcp3-server:

* the ldap-patch shipped with needs to be updated to the latest version available on http://home.ntelos.net/~masneyb/ . This updated patch fix several  issue :-)

* Seems also that there is a typo on /usr/local/share/isc-dhcp3-server/dhcp.schema. One need to do sed -e 's/dhcpFailOverUnackedUpdates/dhcpFailOverUnpackedUpdates' in order to load the dhcp schema on openlap-server

* I'm really not sure about this one, but after installing  openldap-sasl-client, openldap-server and isc-dhcp3-server, portversion -vL= tolds me that there is a " Stale dependency: isc-dhcp3-server-3.0.5 --> openldap-client-2.3.34 -- manually run 'pkgdb -F' to fix, or specify -O to force."

HTH
Thanks a lot :-)

--
Version of port installed:
* isc-dhcp3-server-3.0.5
* openldap-sasl-client-2.3.34
* openldap-server-2.3.34

Fix: 

* update the dhcp-3.0.5-ldap.patch contributed by Brian Masney http://home.ntelos.net/~masneyb/

* fix the small typo on the dhcp.schema shipped with the ports

* dunno
How-To-Repeat: * Try to create several dhcpHost entry on ldap then reload the isc-dhcp3-server: dhcpd will core dumped talking about parsing errors like this one. "Feb 25 22:30:28 dell076 dhcpd: LDAP line 13: semicolon expected.
Feb 25 22:30:28 dell076 dhcpd:
Feb 25 22:30:28 dell076 dhcpd: ^
"

* Include the dhcp.schema on slapd.conf then reload slapd. The process will abort with this error message "/usr/local/share/isc-dhcp3-server/dhcp.schema: line 457: AttributeType not found: "dhcpFailOverUnackedUpdates"
"
Comment 1 Edwin Groothuis freebsd_committer 2007-02-26 13:21:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Joerg Pulz 2007-02-26 15:15:52 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hi,

thanks for your report. Appended is a solution, but first some comments on 
your points.

#1
The patch below will fix this. As the port picks up the patch from it's 
original location, we have to modify the ports distinfo file, everytime 
the LDAP patch gets updated. Unfortunately, i didn't received any 
announcement for the new version of the patch.

#2
It should be dhcpFailOverUnackedUpdates NOT dhcpFailOverUnpackedUpdates, 
so your sed line is wrong. Anyway, this is fixed in the latest version of 
the LDAP patch.

#3
This is ports-framework related. You can add the line:
WANT_OPENLDAP_SASL=1
to your /etc/make.conf, to let all LDAP dependant ports depend on 
net/openldap23-sasl-client instead of net/openldap23-client.
I don't know any other way to achieve this.


Major changes in the new version of the LDAP patch are:
 	* fix for ldap_read_function to avoid returning empty strings
 	  that are causing parsing errors in ldap-dynamic mode
 	* added ldap-ssl <off|start_tls|ldaps|on> option and several
 	  ldap-tls* options
 	* added ldap-referrals <on|off> option
 	* implemented a LDAP rebind function
 	* renamed dhcpd.conf option ldap-server-cn to ldap-dhcp-server-cn
 	* dhcp.schema - schema updates

Beside the distinfo changes for the new LDAP patch, the 
files/extra-patch-dlq-ldap file is slightly modified and the version 
number for the net/isc-dhcp3-server port is bumped.



- --- net_isc-dhcp3-server.diff begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/isc-dhcp3-server/Makefile,v
retrieving revision 1.119
diff -u -r1.119 Makefile
- --- Makefile	21 Dec 2006 19:57:23 -0000	1.119
+++ Makefile	26 Feb 2007 14:58:28 -0000
@@ -19,7 +19,7 @@
  MAINTAINER=	Joerg.Pulz@frm2.tum.de
  COMMENT?=	The ISC Dynamic Host Configuration Protocol server

- -PORTREVISION_SERVER=	0
+PORTREVISION_SERVER=	1
  PORTREVISION_CLIENT=	0
  PORTREVISION_RELAY=	0
  PORTREVISION_DEVEL=	0
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/isc-dhcp3-server/distinfo,v
retrieving revision 1.58
diff -u -r1.58 distinfo
- --- distinfo	21 Feb 2007 10:57:21 -0000	1.58
+++ distinfo	26 Feb 2007 14:58:28 -0000
@@ -1,9 +1,9 @@
  MD5 (dhcp-3.0.5.tar.gz) = ce5d30d4645e4eab1f54561b487d1ec7
  SHA256 (dhcp-3.0.5.tar.gz) = dd445fb2a341cdd69e85693dce6f8fda1a1c9d0e98d34c01afc3e68d8037ffb6
  SIZE (dhcp-3.0.5.tar.gz) = 876591
- -MD5 (dhcp-3.0.5-ldap-patch) = 9a58b7febb69783c15ab9dd635baee74
- -SHA256 (dhcp-3.0.5-ldap-patch) = 9fd1caf8005288a68ede58476beec7a5a1c0b502a2adb42143013b3c901d225c
- -SIZE (dhcp-3.0.5-ldap-patch) = 177648
+MD5 (dhcp-3.0.5-ldap-patch) = 41cde9e9a768bf12390288465ef30bbd
+SHA256 (dhcp-3.0.5-ldap-patch) = e700472acb890b504ae5199500a0e87ca1da607946b2f3a8a8958f82d0a277c0
+SIZE (dhcp-3.0.5-ldap-patch) = 192308
  MD5 (dhcp-3.0.5-dlq-patch) = 0e071945cc986d7ecdfd9b41fc4a102b
  SHA256 (dhcp-3.0.5-dlq-patch) = c3fd3200eaf00fa80cb37f19bd3b9edb89497c235b5fa594a0f6f60050f64108
  SIZE (dhcp-3.0.5-dlq-patch) = 7655
Index: files/extra-patch-dlq-ldap
===================================================================
RCS file: /home/ncvs/ports/net/isc-dhcp3-server/files/extra-patch-dlq-ldap,v
retrieving revision 1.1
diff -u -r1.1 extra-patch-dlq-ldap
- --- files/extra-patch-dlq-ldap	15 Jun 2005 07:21:56 -0000	1.1
+++ files/extra-patch-dlq-ldap	26 Feb 2007 14:58:29 -0000
@@ -4,11 +4,11 @@
   CATMANPAGES = dhcpd.cat8 dhcpd.conf.cat5 dhcpd.leases.cat5
   SEDMANPAGES = dhcpd.man8 dhcpd.conf.man5 dhcpd.leases.man5
   SRCS   = dhcpd.c dhcp.c bootp.c confpars.c db.c class.c failover.c \
- --	 ldap.c omapi.c mdb.c stables.c salloc.c ddns.c
- -+	 ldap.c omapi.c mdb.c stables.c salloc.c ddns.c dhcpleasequery.c
+-	 ldap.c ldap_casa.c omapi.c mdb.c stables.c salloc.c ddns.c
++	 ldap.c ldap_casa.c omapi.c mdb.c stables.c salloc.c ddns.c dhcpleasequery.c
   OBJS   = dhcpd.o dhcp.o bootp.o confpars.o db.o class.o failover.o \
- --	 ldap.o omapi.o mdb.o stables.o salloc.o ddns.o
- -+	 ldap.o omapi.o mdb.o stables.o salloc.o ddns.o dhcpleasequery.o
+-	 ldap.o ldap_casa.o omapi.o mdb.o stables.o salloc.o ddns.o
++	 ldap.o ldap_casa.o omapi.o mdb.o stables.o salloc.o ddns.o dhcpleasequery.o
   PROG   = dhcpd
   MAN    = dhcpd.8 dhcpd.conf.5 dhcpd.leases.5

- --- net_isc-dhcp3-server.diff ends here ---



Regards
Joerg

- -- 
The beginning is the most important part of the work.
 				-Plato
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.2 (FreeBSD)

iD8DBQFF4vmvSPOsGF+KA+MRAplXAJ0cmuNnZ1IUs36fSxkyYc5+7D77fACfYSWT
5RP+6+AKX8x97tFNGc7f4dg=
=WPZb
-----END PGP SIGNATURE-----
Comment 3 Martin Wilke freebsd_committer 2007-02-26 16:25:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 dfilter service freebsd_committer 2007-02-26 22:21:07 UTC
miwi        2007-02-26 22:20:59 UTC

  FreeBSD ports repository

  Modified files:
    net/isc-dhcp3-server Makefile distinfo 
    net/isc-dhcp3-server/files extra-patch-dlq-ldap 
  Log:
  * Fix for ldap_read_function to avoid returning empty strings
          that are causing parsing errors in ldap-dynamic mode
  * Added ldap-ssl <off|start_tls|ldaps|on> option and several
          ldap-tls* options
  * Added ldap-referrals <on|off> option
  * Implemented a LDAP rebind function
  * Renamed dhcpd.conf option ldap-server-cn to ldap-dhcp-server-cn
  * Dhcp.schema - schema updates
  * Bump PORTREVISION
  
  PR:             109563
  Submitted by:   roudoudou<roudoud0u@free.fr>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.120     +1 -1      ports/net/isc-dhcp3-server/Makefile
  1.59      +3 -3      ports/net/isc-dhcp3-server/distinfo
  1.2       +4 -4      ports/net/isc-dhcp3-server/files/extra-patch-dlq-ldap
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2007-02-26 22:21:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!